%define name	synce-trayicon
%define version 0.9.0
%define release %mkrel 8

Name:           %{name}
Summary: 	SynCE: Tray icon for GNOME 2
Version:        %{version}
Release:        %{release}

License:        MIT
Source: 	%{name}-%{version}.tar.bz2
Source10:	%{name}-16x16.png
Source11:	%{name}-32x32.png
Source12:	%{name}-48x48.png
URL: 		http://synce.sourceforge.net/
Group:          Communications

Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	libsynce-devel >= 0.9.0
BuildRequires:	librapi-devel libglade2-devel
BuildRequires:	gtk2-devel atk-devel libgnomeui2-devel libgtop2.0-devel

%description
Synce-trayicon is part of the SynCE project:
  http://synce.sourceforge.net/

This application shows when a device is connected.

%prep
%setup -q

%build
%configure2_5x --with-librapi2=$RPM_BUILD_ROOT%{_prefix}
%make

%install
rm -fr %buildroot
%makeinstall

#menu
install -m 644 -D %{SOURCE10} $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m 644 -D %{SOURCE11} $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m 644 -D %{SOURCE12} $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Synce-trayicon
Comment=SynCE: Tray icon for GNOME 2
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=TelephonyTools;Utility;GTK;GNOME;
EOF

%find_lang %name

%clean
rm -fr %buildroot

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog 
%{_bindir}/synce-trayicon
%{_datadir}/pixmaps/synce/synce-color-small.png
%{_datadir}/pixmaps/synce/synce-gray-small.png
%{_datadir}/synce/synce_trayicon_properties.glade
%{_miconsdir}/%name.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%{_datadir}/applications/mandriva-%{name}.desktop



%changelog
* Fri Feb 01 2008 Funda Wang <fundawang@mandriva.org> 0.9.0-8mdv2008.1
+ Revision: 161091
- BR glade
- fix menu entry

  + Emmanuel Andry <eandry@mandriva.org>
    - drop requires synce
    - add BR libsynce-devel

  + Thierry Vignaud <tvignaud@mandriva.com>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Tue Sep 05 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.0-6mdv2007.0
- Use mkrel
- XDG

* Thu Jun 22 2006 Pascal Terjan <pterjan@mandriva.org> 0.9.0-5mdv2007.0
- BuildRequires

* Fri Apr 21 2006 Frederic Crozat <fcrozat@mandriva.com> 0.9.0-4mdk
- Rebuild

* Wed May 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.9.0-3mdk
- Rebuild

* Thu Jan 13 2005 Austin Acton <austin@mandrake.org> 0.9.0-2mdk
- add menu (Couriousous)

* Thu Jan 13 2005 Austin Acton <austin@mandrake.org> 0.9.0-1mdk
- adapt spec from Charles Bovy

